@charset "UTF-8";

@-webkit-keyframes modal_fadeIn__21ZXH {
    0% {
        visibility: hidden;
        opacity: var(--opacity-0)
    }

    100% {
        visibility: visible;
        opacity: var(--opacity-10)
    }
}

@keyframes modal_fadeIn__21ZXH {
    0% {
        visibility: hidden;
        opacity: var(--opacity-0)
    }

    100% {
        visibility: visible;
        opacity: var(--opacity-10)
    }
}

@-webkit-keyframes modal_fadeOut__2JNn5 {
    0% {
        visibility: visible;
        opacity: var(--opacity-10)
    }

    100% {
        visibility: hidden;
        opacity: var(--opacity-0)
    }
}

@keyframes modal_fadeOut__2JNn5 {
    0% {
        visibility: visible;
        opacity: var(--opacity-10)
    }

    100% {
        visibility: hidden;
        opacity: var(--opacity-0)
    }
}

@-webkit-keyframes modal_bounceIn__Od6Nh {
    0% {
        opacity: var(--opacity-0);
        -webkit-transform: scale(0.3);
        transform: scale(0.3)
    }

    50% {
        opacity: var(--opacity-10);
        -webkit-transform: scale(1.05);
        transform: scale(1.05)
    }

    70% {
        -webkit-transform: scale(0.9);
        transform: scale(0.9)
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

@keyframes modal_bounceIn__Od6Nh {
    0% {
        opacity: var(--opacity-0);
        -webkit-transform: scale(0.3);
        transform: scale(0.3)
    }

    50% {
        opacity: var(--opacity-10);
        -webkit-transform: scale(1.05);
        transform: scale(1.05)
    }

    70% {
        -webkit-transform: scale(0.9);
        transform: scale(0.9)
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

.modal_fadeOut__2JNn5,
vui-modal.modal_closed__7sdq_ .modal_wrapper__1DMZe {
    -webkit-animation-name: modal_fadeOut__2JNn5;
    animation-name: modal_fadeOut__2JNn5;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-duration: 0.2s;
    animation-duration: 0.2s;
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden
}

.modal_fadeIn__21ZXH,
.modal_wrapper__1DMZe {
    -webkit-animation-name: modal_fadeIn__21ZXH;
    animation-name: modal_fadeIn__21ZXH;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-duration: 0.2s;
    animation-duration: 0.2s;
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden
}

.modal_bounceIn__Od6Nh {
    -webkit-animation-name: modal_bounceIn__Od6Nh;
    animation-name: modal_bounceIn__Od6Nh;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-duration: 0.2s;
    animation-duration: 0.2s;
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden
}

vui-modal.modal_closed__7sdq_ {
    display: none
}

vui-modal {
    --modal-bg-color: var(--color-background-surface);
    --modal-position-content: center;
    --modal-wrapper-padding: var(--offset-sm-l) var(--offset-md-2xs) var(--offset-md-s);
    --modal-width: auto;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: block;
    z-index: var(--zindex-400)
}

@media (min-width: 768px) {
    vui-modal {
        --modal-wrapper-padding: var(--offset-sm-l) var(--offset-md-2xs) var(--offset-lg-s)
    }

    vui-modal.modal_lg__8oPVw {
        --modal-width: 784px
    }

    vui-modal.modal_md__6JEep {
        --modal-width: 464px
    }

    vui-modal.modal_ml__38Ftt {
        --modal-width: 544px
    }

    vui-modal.modal_sm__2oGZH {
        --modal-width: 320px
    }
}

.modal_wrapper__1DMZe {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: block;
    width: var(--width-full);
    z-index: var(--zindex-500);
    background-color: var(--modal-bg-color);
    -webkit-box-shadow: var(--shadow-e3);
    box-shadow: var(--shadow-e3);
    padding: var(--modal-wrapper-padding)
}

@media (min-width: 768px) {
    .modal_wrapper__1DMZe {
        width: var(--modal-width);
        top: 50%;
        left: 50%;
        bottom: unset;
        right: unset;
        border-radius: var(--border-radius-l);
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        min-height: auto;
        overflow: hidden
    }
}

.modal_wrapper__1DMZe.modal_transparent__1hApH {
    background-color: transparent;
    -webkit-box-shadow: none;
    box-shadow: none
}

.modal_wrapper__1DMZe.modal_video__jWUS9 {
    --modal-wrapper-padding: var(--offset-sm-l)
}

@media (min-width: 768px) {
    .modal_wrapper__1DMZe.modal_video__jWUS9 {
        --modal-wrapper-padding: 0
    }
}

@media (max-width: 960px) and (orientation: landscape) and (max-height: 500px) {
    .modal_wrapper__1DMZe.modal_video__jWUS9 .modal_header__1h7ps {
        display: none
    }
}

@media (min-width: 768px) {
    .modal_wrapper__1DMZe.modal_video__jWUS9 .modal_header__1h7ps {
        display: none
    }
}

.modal_wrapper__1DMZe.modal_video__jWUS9 .modal_body__3sRTW {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: var(--modal-position-content);
    justify-content: var(--modal-position-content);
    -ms-flex: 1;
    flex: 1;
    border-radius: var(--border-radius-l);
    overflow: hidden
}

@media (min-width: 768px) {
    .modal_wrapper__1DMZe.modal_video__jWUS9 .modal_body__3sRTW {
        max-width: 100%;
        padding-top: 56.25%;
        position: relative;
        width: 100%
    }
}

@media (max-width: 960px) and (orientation: landscape) and (max-height: 500px) {
    .modal_wrapper__1DMZe.modal_video__jWUS9 .modal_body__3sRTW {
        padding-top: 36%
    }
}

.modal_content__2PfSQ {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: var(--modal-position-content);
    justify-content: var(--modal-position-content);
    -ms-flex-align: center;
    align-items: center;
    min-height: calc(var(--viewport-height) - var(--height-xl-2xl));
    max-height: calc(var(--viewport-height) - var(--height-xl-2xl));
    width: var(--width-full);
    outline: 0
}

@media (min-width: 768px) and (min-height: 501px) {
    .modal_content__2PfSQ {
        max-height: calc(100vh - 128px);
        min-height: 100%
    }
}

.modal_content__2PfSQ.modal_offset-top__1tvwl {
    padding-top: var(--offset-lg-s)
}

.modal_header__1h7ps {
    min-height: var(--height-md-2xs);
    width: var(--width-full);
    margin-bottom: var(--offset-md-s);
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: start;
    justify-content: flex-start;
    font: var(--black-xs)
}

@media (min-width: 768px) {
    .modal_header__1h7ps {
        text-align: left
    }
}

.modal_body__3sRTW {
    max-height: 100%;
    width: var(--width-full);
    font: var(--regular-m);
    overflow: auto
}

.modal_close__1Jjbf {
    position: absolute;
    top: 0;
    right: 0;
    display: -ms-flexbox;
    display: flex;
    padding: var(--offset-sm-l) var(--offset-sm-xl);
    outline: none;
    font-size: 24px;
    color: var(--color-icon-secondary-active);
    -webkit-transition: color var(--transition-fast) var(--cubic-ease-out);
    transition: color var(--transition-fast) var(--cubic-ease-out);
    z-index: var(--zindex-10)
}

.modal_close__1Jjbf:hover {
    color: var(--color-icon-secondary-highlight)
}

.modal_fixed__1h--F {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0
}